Bug 89150 - Can't create a MySQL DSN with ODBCConfig
Summary: Can't create a MySQL DSN with ODBCConfig
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: unixODBC (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-18 13:36 UTC by Markku Kolkka
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-25 11:32:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Markku Kolkka 2003-04-18 13:36:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Trying to create an User DSN or a System DSN pointing to a MySQL database fails
after selecting the MySQL driver, with an error message: "Could not construct a
prperty list for (MySQL)"
The MySQL server is running (on the same machine), MyODBC is installed and
enabled in /etc/odbcinst.ini.

Version-Release number of selected component (if applicable):
unixODBC-kde-2.2.3-6

How reproducible:
Always

Steps to Reproduce:
1. Start ODBCConfig
2. Select "User DSN" page
3. Click "Add..." button
4. Select MySQL driver, click "OK"
    

Actual Results:  Error message pops up, program returns to main view.

Expected Results:  A window for specifying the DSN properties pops up.

Additional info:

Comment 1 Fernando Nasser 2003-04-28 16:38:58 UTC
Please add the line:

Setup           = /usr/lib/libodbcmyS.so.1

to your /etc/odbcinst.ini file.

It should now look like:

# From the MyODBC package
[MySQL]
Description     = ODBC for MySQL
Driver          = /usr/lib/libmyodbc.so
Setup           = /usr/lib/libodbcmyS.so.1
FileUsage       = 1



Regards,
Fernando


Note You need to log in before you can comment on or make changes to this bug.